<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<form [formGroup]="organisation">
  <app-create-join-org-card title="New organisation" routeOnBack="/onboarding/organisation" [wide]="true">
    <div class="w-full mt-10">
      <app-org-info [editable]="true">
        <ng-template #name>
          <input type="text" formControlName="name" pInputText placeholder="MyOrg limited" [style]="{ width: '260px' }" />
        </ng-template>
        <ng-template #location>
          <span class="p-input-icon-left">
            <i class="pi pi-map-marker mt-4"></i>
            <p-autoComplete
              formControlName="location"
              [suggestions]="(suggestions$ | async) ?? []"
              placeholder="Bratislava, Slovakia"
              [style]="{ width: '260px' }"
              (completeMethod)="search($event)"
              [field]="$any(selectedFeatureConversionMethod)"
              [forceSelection]="true"
              [delay]="500"
            >
              <ng-template let-address pTemplate="item">
                <div class="flex items-center gap-2">
                  <i class="pi pi-map-marker text-text-300"></i>
                  <div class="text-left">{{ selectedFeatureConversionMethod(address) }}</div>
                </div>
              </ng-template>
            </p-autoComplete>
          </span>
        </ng-template>
        <ng-template #businessID>
          <input type="text" formControlName="businessId" pInputText placeholder="123456789" [style]="{ width: '260px' }" />
        </ng-template>
        <ng-template #description>
          <textarea formControlName="description" rows="5" cols="40" [style]="{ width: '260px' }" pInputTextarea placeholder="Describe your company..."></textarea>
        </ng-template>
        <ng-template #action>
          <ng-container *ngLet="(loading$ | async) ?? false as loading">
            <p-button
              [loading]="loading"
              label="Create"
              [disabled]="(organisation.statusChanges | async) != 'VALID'"
              (click)="create()"
              [style]="{ width: '200px', paddingRight: loading ? '40px': undefined }"
            ></p-button>
          </ng-container>
        </ng-template>
      </app-org-info>
    </div>
  </app-create-join-org-card>
</form>
